#include <iostream>
using namespace std;

int main() {
  long n, x, min, max, d, d1, d2;
  cin >> n >> x;
  min = x; max = x;

  for (long i = 0; i < n; i++) {
    long a;
    cin >> a;
    if (a < min) min = a;
    if (a > max) max = a;
  }

  d1 = x - min;
  d2 = max - x;
  if (d1 <= 0) d = d2;
  if (d1 > 0 && d2 > 0) {
    if (d1 < d2) d = 2 * d1 + d2;
    else d = d1 + 2 * d2;
  }
  if (d2 <= 0) d = d1;
  cout << d << endl;
  return 0;
}